#!/bin/sh
source /etc/conf.d/vdr
VDR_CONSOLE=8
#set -x

XINE=$(echo " $PLUGINS " | grep " xine ")
if [ "$XINE" != "" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/.*'vdr_xine'.*/plugin.activate('vdr_xine', level=5)/"
   sed -i /etc/freevo/local_conf.py -e "s/.*'vdr_switch'.*/#plugin.activate('vdr_switch', level=5)/"
else   
   sed -i /etc/freevo/local_conf.py -e "s/.*'vdr_switch'.*/plugin.activate('vdr_switch', level=5)/"
   sed -i /etc/freevo/local_conf.py -e "s/.*'vdr_xine'.*/#plugin.activate('vdr_xine', level=5)/"
   # if VDR is running and in Foreground do not switch to X within 30 seconds
#   if [ "$(fgconsole)" = "$VDR_CONSOLE" ] ; then
#      nohup /_config/bin/set_fg.sh VDR 30 > /dev/null 2>&1 &
#   fi
fi
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_X.*/OSD_OVERSCAN_X = $FREEVO_OSDX/"
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_Y.*/OSD_OVERSCAN_Y = $FREEVO_OSDY/"
sed -i /etc/freevo/local_conf.py -e "s/.*IMAGEVIEWER_DURATION.*/IMAGEVIEWER_DURATION = $FREEVO_IMAGEDURATION/"

FXP="/usr/lib/python2.4/site-packages/freevo/video/plugins/xine.py"
if [ "$FREEVO_DVD" = "Xine" ] ; then
   sed -i $FXP -e "s/return 0 # g2v_xine/return 2 # g2v_xine/"
else
   sed -i $FXP -e "s/return 2 # g2v_xine/return 0 # g2v_xine/"
fi   
#plugin.remove('rom_drives.autostart')
if [ "$DISC_AUTORUN" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/#plugin.remove('rom_drives.autostart')/"
else
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/plugin.remove('rom_drives.autostart')/"
fi   
if [ "$SCREEN_RESOLUTION" != "" -a "$SCREEN_RESOLUTION" != "Other" ] ; then
   sed -i /etc/freevo/freevo.conf -e "s/geometry .*/geometry = $SCREEN_RESOLUTION/"
fi   

#sh /_config/bin/disc_speed.sh -c > /dev/null 2>&1