#!/bin/sh
source /etc/conf.d/vdr
/etc/init.d/vdr stop
if [ "$(grep "MinUserInactivity = 0" /etc/vdr/setup.conf)" != "" ] ; then
   sed -i /etc/vdr/setup.conf -e "s/MinUserInactivity =.*/MinUserInactivity = 240/"
fi
if [ "$(grep "EPGScanTimeOut = 5" /etc/vdr/setup.conf)" != "" ] ; then
   sed -i /etc/vdr/setup.conf -e "s/EPGScanTimeOut =.*/EPGScanTimeout = 0/"
fi

sh /_config/update/g2v_updadminconf.sh
sh /etc/vdr/plugins/admin/cfggui.sh

if [ "$TVM2VDR" = "1" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh EPGSCAN TVMovie
elif [ "$TVM2VDR" = "0" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh EPGSCAN Aus
fi   

sed -i /etc/freevo/local_conf.py -e "/IMAGEVIEWR_DURATION/d"
if [ "$(grep "^IMAGEVIEWER_DURATION" /etc/freevo/local_conf.py)" = "" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/^CACHE_IMAGES/IMAGEVIEWER_DURATION=5\nCACHE_IMAGES/"
fi   

if [ "$(/etc/vdr/plugins/admin/getadmval.sh WAKEUP_DURATION)" = "30" ] ; then
   /etc/vdr/plugins/admin/setadmval.sh WAKEUP_DURATION 0
fi
